---@meta posix.sys.utsname

---@class posix_utsname*
---@field sysname string
---@field nodename string
---@field release string
---@field version string
---@field machine string

---@class posix_sys_utsname*
---@field version string
---@type posix_sys_utsname*
local M = {}

---@return posix_utsname*? utsname
---@return string? errMsg
---@return integer? errno
function M.uname() end

return M
